<?php

// QuickTeam 1.9.0.3 build:20081001

class cUser
{

// --------

var $id = -1;
var $username = ''; // this is the login BUT also the main displayed name. It's recommended to use the fullname (John Smith)
var $pwd = '';
var $role = 'V';
var $type = '';
var $status = 'Z';   // status must exist !
var $coppa = '0'; // is children (0=No, 1=Yes with parent agree, 2=Yes without parent agree)

var $title = '';    // M. Mr, Mme ...
var $firstname = '';
var $midname = '';
var $lastname = '';
var $alias = '';
var $fullname = ''; // computed info
var $birthdate = '0';
var $age = 0;      // computed info
var $nationality = '';
var $sexe = '';
var $picture = '';

var $address = '';
var $phones = '';
var $emails = '';
var $www = '';
var $privacy = '';
var $signature = ''; // not used
var $descr = '';
var $firstdate = '0';

var $teamid1 = '';
var $teamid2 = '';
var $teamrole1 = '';
var $teamrole2 = '';
var $teamdate1 = '0';
var $teamdate2 = '0';
var $teamvalue1;
var $teamvalue2;
var $teamflag1 = '';
var $teamflag2 = '';

var $x;
var $y;
var $z;

// --------
// attention: sqlite can return fieldname including the prefix alias (p.id)

function cUser($aUser=null,$bPrivate=false)
{
  if ( isset($aUser) )
  {
    if ( is_int($aUser) )
    {
      if ( $aUser<0 ) die('Wrong id in cUser');
      global $oDB;
      $oDB->Query('SELECT * FROM '.TABUSER.' WHERE id='.$aUser);
      $row = $oDB->Getrow();
      if ( $row===False ) die('No user '.$aUser);
      $this->MakeFromArray($row,$bPrivate);
    }
    elseif ( is_array($aUser) )
    {
      $this->MakeFromArray($aUser,$bPrivate);
    }
    else
    {
      die('Invalid constructor parametre #1 for the class cUser');
    }
  }
}

// --------

function MakeFromArray($arr,$bPrivate=false)
{
  if ( !is_array($arr) ) die('Invalid argument for cUser->MakeFromArray');
  foreach ($arr as $strKey => $oValue)
  {
    switch ($strKey)
    {
    case 'id':         $this->id         = intval($oValue); break;
    case 'username':   $this->username   = $oValue; break;
    case 'pwd':        $this->pwd        = $oValue; break;
    case 'role':       $this->role       = $oValue; break;
    case 'type':       $this->type       = $oValue; break;
    case 'status':     $this->status     = $oValue; break;
    case 'children':   $this->coppa      = intval($oValue); break;
    case 'title':      $this->title      = $oValue; break;
    case 'firstname':  $this->firstname  = $oValue; break;
    case 'midname':    $this->midname    = $oValue; break;
    case 'lastname':   $this->lastname   = $oValue; break;
    case 'aliasname':  $this->alias      = $oValue; break;     
    case 'birthdate':  $this->birthdate  = $oValue; break;
    case 'nationality':$this->nationality= $oValue; break;
    case 'sexe':       $this->sexe       = $oValue; break;
    case 'picture':    $this->picture    = $oValue; break;
    case 'address':    $this->address    = $oValue; break;
    case 'phones':     $this->phones     = $oValue; break;
    case 'emails':     $this->emails     = $oValue; break;
    case 'www':        $this->www        = $oValue; break;
    case 'privacy':    $this->privacy    = $oValue; if ( empty($this->privacy) ) $this->privacy=''; break;
    case 'signature':  $this->signature  = $oValue; break;
    case 'descr':      $this->descr      = $oValue; break;
    case 'firstdate':  $this->firstdate  = $oValue; break;
    case 'teamid1':    $this->teamid1    = $oValue; break;
    case 'teamid2':    $this->teamid2    = $oValue; break;
    case 'teamrole1':  $this->teamrole1  = $oValue; break;
    case 'teamrole2':  $this->teamrole2  = $oValue; break;
    case 'teamdate1':  $this->teamdate1  = $oValue; break;
    case 'teamdate2':  $this->teamdate2  = $oValue; break;
    case 'teamvalue1': $this->teamvalue1 = $oValue; break;
    case 'teamvalue2': $this->teamvalue2 = $oValue; break;
    case 'teamflag1':  $this->teamflag1  = $oValue; break;
    case 'teamflag2':  $this->teamflag2  = $oValue; break;
    case 'y': $this->y = $oValue; break;
    case 'x': $this->x = $oValue; break;
    case 'z': $this->z = $oValue; break;
    }
  }
  if ( !empty($this->birthdate) ) $this->SetAge();    
  $this->SetFullname();
  if ( $bPrivate && !empty($this->privacy) ) $this->SetPrivate();
}

// --------

function SetPrivate()
{
  global $oVIP;
  foreach (array('address','phones','emails','descr') as $strKey) {
  if ( strstr($this->privacy,$strKey) ) {
    if ( $oVIP->role=='A' || $oVIP->role=='M' ) $this->$strKey = '<span class="private">'.$this->$strKey.'</span>';
    if ( $oVIP->role=='U' && $oVIP->id==$this->id ) $this->$strKey = '<span class="private">'.$this->$strKey.'</span>';  
    if ( $oVIP->role=='U' && $oVIP->id!=$this->id ) $this->$strKey = '&nbsp;';  
    if ( $oVIP->role=='V' ) $this->$strKey = '&nbsp;';  
  }}
}

// --------

function SetAge()
{
  $this->age = date('Y') - intval(substr(strval($this->birthdate),0,4)) - 1;
  if ( date('md') >= intval(substr(strval($this->birthdate),4,4)) ) $this->age++;
  if ( $this->age<0 ) $this->age=0;
}
// --------

function SetFullname()
{
  $strDisabled='';
  if ( isset($_SESSION[QT]['fields_u']) )
  {
    if ( !strstr($_SESSION[QT]['fields_u'],'title') ) $strDisabled .= 'title,';
    if ( !strstr($_SESSION[QT]['fields_u'],'firstname') ) $strDisabled .= 'firstname,';
    if ( !strstr($_SESSION[QT]['fields_u'],'lastname') ) $strDisabled .= 'lastname,';
    if ( !strstr($_SESSION[QT]['fields_u'],'midname') ) $strDisabled .= 'midname,';
    if ( !strstr($_SESSION[QT]['fields_u'],'alias') ) $strDisabled .= 'alias,';
  }
  $this->fullname = $this->username;
  if ( !empty($this->lastname) && !strstr($strDisabled,'lastname') )
  { 
      $this->fullname = $this->lastname;
      if ( !empty($this->midname) && !strstr($strDisabled,'midname') ) $this->fullname = $this->midname.' '.$this->fullname;
      if ( !empty($this->firstname) && !strstr($strDisabled,'firstname') ) $this->fullname = $this->firstname.' '.$this->fullname;
      if ( !empty($this->title) && !strstr($strDisabled,'title') ) $this->fullname = $this->title.' '.$this->fullname;
      if ( !empty($this->alias) && !strstr($strDisabled,'alias') ) $this->fullname .= ' "'.$this->alias.'"';
  }
  if ( empty($this->lastname) ) $this->lastname = $this->username;
}

// --------
// add the user id to instanciate the function outside the class cUser

function Delete($id=null) 
{
  global $oDB;
  if ( !isset($id) ) $id = $this->id;
  if ( $id<1 ) die('Wrong id in user->Delete');
  if ( $id<2 ) die('Wrong id in user->Delete');
    $oDB->Query('UPDATE '.TABSECTION.' SET modid=1, modname="Administrator" WHERE modid='.$id);
  $oDB->Query('DELETE FROM '.TABS2U.' WHERE userid='.$id);
  $oDB->Query('DELETE FROM '.TABUSER.' WHERE id='.$id);
  $oDB->Query('DELETE FROM '.TABCHILD.' WHERE id='.$id);
  $oDB->Query('DELETE FROM '.TABINDEX.' WHERE userid='.$id);
  if ( file_exists("picture/$id.gif") )  unlink("picture/$id.gif");
  if ( file_exists("picture/$id.jpg") )  unlink("picture/$id.jpg");
  if ( file_exists("picture/$id.jpeg") ) unlink("picture/$id.jpeg");
  if ( file_exists("picture/$id.png") )  unlink("picture/$id.png");
}

// --------
// add the user id to instanciate the function outside the class cUser

function InSection($intSection=-1,$strAction='add',$id=null)
{
  if ( !is_numeric($intSection) ) die('Wrong id in user->InSection');
  if ( !is_string($strAction) ) die('Wrong id in user->InSection');
  if ( $intSection<0 ) die('Wrong id in user->InSection');
  if ( !isset($id) ) $id = $this->id;
  if ( $id<0)  die('Wrong id in user->InSection');
  
  global $oDB;
  switch ($strAction)
  {
  case 'add': 
    $oDB->Query('SELECT count(*) as countid FROM '.TABS2U.' WHERE sid='.$intSection.' AND userid='.$id);
    $row = $oDB->Getrow();
    if ( $row['countid']==0 )
    {
    $oDB->Query('INSERT INTO '.TABS2U.' (sid,userid) VALUES ('.$intSection.','.$id.')');
    }
    else
    {
    return false;
    }
    break;
  case 'rem':
    $oDB->Query('DELETE FROM '.TABS2U.' WHERE sid='.$intSection.' AND userid='.$id);
      // add in the garbage collector if necessary
      $oDB->Query('SELECT count(*) as countid FROM '.TABS2U.' WHERE userid='.$id);
      $row = $oDB->Getrow();
      if ( $row['countid']==0 ) $oDB->Query('INSERT INTO '.TABS2U.' (sid,userid) VALUES (0,'.$id.')');
    break;
  case 'rem*':
    if ( is_null($id) ) $id=0;    
    $oDB->Query('UPDATE '.TABS2U.' SET sid='.$id.' WHERE sid='.intSection);
    break;
  }
  return true;
}

// --------

function GetKeywords($arrFields)
{
  $arrKeys = array();
  foreach ($arrFields as $strField)
  {
    $arrKeys[$strField] = array();
    $str = strtoupper(strip_tags($this->$strField));
    $str = QTconv($str,'-4');
    $str = strtr($str,'(){}+-=;,:.@/?!"','                ');
    $str = str_replace('\'',' ',$str);
    $str = str_replace('  ',' ',$str);
    $arr = explode(' ',$str);
    foreach ($arr as $str)
    {
     if ( strlen($str)>=2 ) $arrKeys[$strField][] = $str;
    }
    $arrKeys[$strField] = array_unique($arrKeys[$strField]);
  }
  return $arrKeys;
}

// --------

function SaveKeywords($arrKeys)
{
  global $oDB;
  $arrFields = array_keys($arrKeys);
  foreach ($arrFields as $strField)
  {
    $oDB->query('DELETE FROM '.TABINDEX.' WHERE userid='.$this->id.' AND ufield="'.$strField.'"');
    foreach ($arrKeys[$strField] as $strValue)
    {
    $oDB->query('INSERT INTO '.TABINDEX.' (userid,ufield,ukey) VALUES ('.$this->id.',"'.$strField.'","'.$strValue.'")');
    }
  }
}

// --------

}

?>