<?php

// QuickTeam 1.9.0.3 build:20081001

if ( !isset($qte_root) ) $qte_root='';

// ---------------
// Connection config
// ---------------
require_once($qte_root.'bin/config.php');
if ( isset($qte_install) ) { define('QT','qte'.substr($qte_install,-1)); } else { define('QT','qte'); }

// ---------------
// System constants (CANNOT be changed by webmasters)
// ---------------
define('TABDOMAIN', $qte_prefix.'qtedomain');
define('TABSECTION', $qte_prefix.'qtesection');
define('TABUSER', $qte_prefix.'qteuser');
define('TABS2U', $qte_prefix.'qtes2u');
define('TABSTATUS', $qte_prefix.'qtestatus');
define('TABSETTING', $qte_prefix.'qtesetting');
define('TABCHILD', $qte_prefix.'qtechild');
define('TABINDEX', $qte_prefix.'qteindex');
define('TABDOC', $qte_prefix.'qtedoc');
define('TABLANG', $qte_prefix.'qtelang');
define('QTEVERSION', '1.9.0.3 build:20081001');
define('QSEL', ' selected="selected"');
define('QCHE', ' checked="checked"');
define('QDIS', ' disabled="disabled"');
define('N', "\n");
define('S', '&nbsp;');

// ---------------
// Interface constants (can be changed by webmasters)
// ---------------
define('QTE_CHANGE_USERNAME', true);  // allow users to change their username (login). False = only administrators can change the username.
define('QTE_DFLT_VIEWMODE', 'N');     // default view mode: N=normal view, C=compact view
define('QTE_SHOW_VIEWMODE', true);    // allow user to change view mode
define('QTE_SHOW_PRINT',    true);    // allow user to get a print style
define('QTE_SHOW_TIME',     true);    // show time in the bottom bar
define('QTE_SHOW_MODERATOR',true);    // show moderator in the bottom bar
define('QTE_SHOW_GOTOLIST', true);    // show gotolist in the bottom bar
define('QTE_SHOW_DOMAIN',   false);   // show domain + team name in the crumbtrail bar and gotolist
define('QTE_CRUMBTRAIL', ' &middot; ');    // crumbtrail separator (dont forget spaces)
define('QTE_MENUSEPARATOR', ' &middot; '); // bottom menu separator (dont forget spaces)
define('QTE_CONVERT_AMP',   false);   // save &amp; instead of &. Use TRUE to make &#0000; symbols NOT working.
define('QTE_DIR_DOC','document/');    // directory of the document (with final /)

// ---------------
// Class and function definition
// ---------------
require_once($qte_root.'bin/qt_lib_txt.php');
require_once($qte_root.'bin/qt_lib_db.php');
require_once($qte_root.'bin/qt_lib_url.php');
require_once($qte_root.'bin/qte_class_vip.php');
require_once($qte_root.'bin/qte_class_lang.php');
require_once($qte_root.'bin/qte_class_section.php');
require_once($qte_root.'bin/qte_class_user.php');
require_once($qte_root.'bin/qte_class_status.php');

// ---------------
// Fonction definition
// ---------------
require_once($qte_root.'bin/qte_fn_common.php');
require_once($qte_root.'bin/qte_fn_html.php');

// ---------------
//  Installation wizard (if file exists)
// ---------------
if ( !isset($qte_install) )
{
  if ( file_exists('install/index.php') )
  {
  echo 'QuickTeam ',QTEVERSION,' <a href="install/index.php">starting installation</a>...';
  echo '<meta http-equiv="REFRESH" content="1;url=install/index.php">';
  exit;
  }
}
if ( empty($qte_install) )
{
  if ( file_exists('install/index.php') )
  {
  echo 'QuickTeam ',QTEVERSION,' <a href="install/index.php">starting installation</a>...';
  echo '<meta http-equiv="REFRESH" content="1;url=install/index.php">';
  exit;
  }
}

// --------------
// Initialise Classes
// --------------
$oDB  = new cDB($qte_dbsystem,$qte_host,$qte_database,$qte_user,$qte_pwd,$qte_port,$qte_dsn);
if ( !empty($oDB->error) ) die ('<p><font color="red">Connection with database failed.<br/>Please contact the webmaster for further information.</font></p><p>The webmaster must check that server is up and running, and that the settings in the config file are correct for the database.</p>');
$oVIP = new cVIP();

// --------------
// Load team parameters
// --------------
if ( !isset($_SESSION[QT]) ) GetParam(true);
if ( !isset($_SESSION[QT]['viewmode']) ) $_SESSION[QT]['viewmode'] = QTE_DFLT_VIEWMODE;
if ( !isset($_SESSION[QT]['javamail']) ) $_SESSION[QT]['javamail'] = '0';
if ( !isset($_SESSION[QT]['sys_members']) || !isset($_SESSION[QT]['sys_members_in']) || !isset($_SESSION[QT]['sys_members_out']) )  SysStats($oDB);

  // check major parameters
  if ( !isset($_SESSION[QT]['skin_dir']) ) $_SESSION[QT]['skin_dir']='skin/default';
  if ( !isset($_SESSION[QT]['language']) ) $_SESSION[QT]['language']='language/english';
  if ( !isset($_SESSION[QT]['lang_iso']) ) $_SESSION[QT]['lang_iso']='en';
  if ( empty($_SESSION[QT]['skin_dir']) ) $_SESSION[QT]['skin_dir']='skin/default';
  if ( empty($_SESSION[QT]['language']) ) $_SESSION[QT]['language']='language/english';
  if ( empty($_SESSION[QT]['lang_iso']) ) $_SESSION[QT]['lang_iso']='en';
  if ( substr($_SESSION[QT]['skin_dir'],0,5)!='skin/' ) $_SESSION[QT]['skin_dir'] = 'skin/'.$_SESSION[QT]['skin_dir'];
  if ( substr($_SESSION[QT]['language'],0,9)!='language/' ) $_SESSION[QT]['language'] = 'language/'.$_SESSION[QT]['language'];

// --------------
// Initialise variable
// --------------
$qte_error = ''; // Required when server uses register_global_on
$qte_warning = ''; // Required when server uses register_global_on
if ( isset($_GET['lx']) )
{
  // check that lx is valid in $arrLang (to prevent injection)
  require_once($qte_root.'bin/qte_lang.php');
  if ( array_key_exists($_GET['lx'],$arrLang) )
  {
    $_SESSION[QT]['lx'] = $arrLang[$_GET['lx']][2];
    $_SESSION[QT]['lang_iso'] = $_GET['lx'];
    if ( isset($_SESSION['L']) ) $_SESSION['L'] = array();
    if ( isset($_SESSION['qteDom']) ) unset($_SESSION['qteDom']);
    if ( isset($_SESSION['qteSec']) ) unset($_SESSION['qteSec']);
    if ( isset($_SESSION['qteTstatus']) ) unset($_SESSION['qteTstatus']);

  }
  else
  {
  $qte_error = 'Wrong iso code language';
  }
}
if ( isset($_SESSION[QT]['lx']) ) $_SESSION[QT]['language'] = 'language/'.$_SESSION[QT]['lx'];
if ( !isset($_SESSION['qteDom']) ) $_SESSION['qteDom'] = GetDomains();
if ( !isset($_SESSION['qteSec']) ) $_SESSION['qteSec'] = GetSectionTitles($oVIP->role,-1,-1,'',QTE_SHOW_DOMAIN);
 
// --------------
// Load dictionary
// --------------
include($qte_root.$_SESSION[QT]['language'].'/qte_lang_main.inc');
$arrQTdate = array('n','date',$_SESSION[QT]['formatdate'],$_SESSION[QT]['formattime'],$L['dateSQL']);

if ( !isset($_SESSION['L']['index']) ) $_SESSION['L']['index'] = cLang::GetName('index',$_SESSION[QT]['lang_iso'],'*');
if ( !isset($_SESSION['L']['domain']) ) $_SESSION['L']['domain'] = cLang::GetName('domain',$_SESSION[QT]['lang_iso'],'*');
if ( !isset($_SESSION['L']['sec']) ) $_SESSION['L']['sec'] = cLang::GetName('sec',$_SESSION[QT]['lang_iso'],'*');
if ( !isset($_SESSION['L']['secdesc']) ) $_SESSION['L']['secdesc'] = cLang::GetName('secdesc',$_SESSION[QT]['lang_iso'],'*');
if ( !isset($_SESSION['L']['field']) ) $_SESSION['L']['field'] = cLang::GetName('field',$_SESSION[QT]['lang_iso'],'*');
if ( !isset($_SESSION['L']['ffield']) ) $_SESSION['L']['ffield'] = cLang::GetName('ffield',$_SESSION[QT]['lang_iso'],'*');

// --------------
// Load status/type (use uppercase for ID)
// --------------
if ( !isset($_SESSION['qteTstatus']) ) $_SESSION['qteTstatus'] = cStatus::GetStatus('*');

?>