<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Team
 * @package    QuickTeam
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute.org/doc/package/qte
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qte_init.php');
require_once('bin/qte_fn_admin.php');
if ( $oVIP->role!='A' ) die($L['R_admin']);

// ---------
// INITIALISE
// ---------

$id = '-1';
if ( isset($_GET['id']) ) $id = strip_tags($_GET['id']);
if ( isset($_POST['id']) ) $id = strip_tags($_POST['id']);
if ( $id=='-1' ) die('Missing parameter: id');

include(Translate('qte_lang_adm.inc'));

$oVIP->selfurl = 'qte_adm_status.php';
$oVIP->exiturl = 'qte_adm_statuses.php';
$oVIP->selfname = $L['Status_upd'];
$oVIP->exitname = '&laquo; '.$L['Status_man'];

// --------
// SUBMITTED
// --------

if (isset($_POST['ok']))
{
  // check id
  if (!ereg('[A-Z]',$id)) $qte_error="Id $id ".$L['E_invalid'].' (A-Z)';

  // change id
  if ( empty($qte_error) )
  {
    if ( $_POST['oldid']!=$id )
    {
    $qte_error = cStatus::Rename($_POST['oldid'],$id);
    }
  }

  // check name
  if ( empty($qte_error) )
  {
    $name = strip_tags(trim($_POST['name'])); if ( get_magic_quotes_gpc() ) $name = stripslashes($name);
    if ( $name=='' ) $qte_error = 'Status name '.S.$L['E_invalid'];
    $name = QTconv($name,'3',QTE_CONVERT_AMP);
  }

  // check unic name
  if ( empty($qte_error) )
  {
    if ( $_POST['oldname']!=$_POST['name'] )
    {
    $oDB->Query('SELECT count(id) as countid FROM '.TABSTATUS.' WHERE name="'.addslashes($name).'"');
    $row = $oDB->Getrow();
    if ($row['countid']>0) $qte_warning = 'Name ['.$name.'] '.$L['E_already_used'];
    }
  }

  // check color
  if ( empty($qte_error) )
  {
    $color = strip_tags(trim($_POST['color']));
  }

  // check icon
  if ( empty($qte_error) )
  {
    $icon = strip_tags(trim($_POST['icon']));
    $icon = htmlspecialchars($icon,ENT_QUOTES);
    if ( $icon!=trim($_POST['icon']) ) $qte_error = $L['Icon'].S.$L['E_invalid'];
  }

  // save

  if ( empty($qte_error) )
  {
    $oDB->Query('UPDATE '.TABSTATUS.' SET name="'.addslashes($name).'",color="'.$color.'",icon="'.$icon.'" WHERE id="'.$id.'"');

    //  save translation

    $oDB->Query('DELETE FROM '.TABLANG.' WHERE (objtype="status" OR objtype="statusdesc") AND objid="'.$id.'"');

    foreach ($_POST as $strKey => $strTranslation)
    {
      if ( substr($strKey,0,1)=='T' )
      {
        if ( !empty($strTranslation) )
        {
        if ( get_magic_quotes_gpc() ) $strTranslation = stripslashes($strTranslation);
        cLang::Add('status',substr($strKey,1),$id,$strTranslation);
        }
      }
      if ( substr($strKey,0,1)=='D' )
      {
        if ( !empty($strTranslation) )
        {
        if ( get_magic_quotes_gpc() ) $strTranslation = stripslashes($strTranslation);
        cLang::Add('statusdesc',substr($strKey,1),$id,$strTranslation);
        }
      }
    }

    //exit

    unset($_SESSION['qteTstatus']);
    $oVIP->EndMessage(NULL,$L['S_update'].'<br/><br/><span class="warning">'.$qte_warning.'</span>','admin',(!empty($qte_warning) ? 0: 2));
  }
}

// --------
// HTML START
// --------

$arrJava = array('com'=>false);

include('qte_adm_p_header.php');
include('qte_adm_p_title.php');

$arrStatus = cStatus::GetStatus($id);

echo '<table cellspacing="0" class="ta_hidden">
<tr>
<td style="width:20px">',$id,'</td>
<td style="width:30px">',AsImg($_SESSION[QT]['skin_dir'].'/'.$arrStatus[$id]['icon'],'-',$arrStatus[$id]['statusdesc'],'ico ico_status'),'</td>
<td style="width:100px;padding:3px 10px 3px 10px;text-align:center;background-color:',$arrStatus[$id]['color'],'; border-style:solid; border-color:#dddddd; border-width:1px">',$arrStatus[$id]['statusname'],'</td>
<td>&nbsp;</td>
</tr>
</table>
<br/>';
echo '<form method="POST" action="',$oVIP->selfurl,'">
<table width="500" cellspacing="0" class="ta">
';
echo '<tr class="tr_o">
<th class="th_o th_o_all" colspan="2">',$L['Definition'],'</th>
</tr>
';
echo '<tr>
<th class="th_o th_o_first" style="width:150px;"><label for="id">Id</label></th>
<td class="td_o">
';
if ( ($id=='A') || ($id=='Z') )
{
  echo $id.'&nbsp;<input type="hidden" name="id" value="',$id,'"/>';
}
else
{
  echo '<input type="text" id="id" name="id" size="1" maxlength="1" value="',$id,'"/>';
}
echo '</td>
</tr>
';
$str = QTconv($arrStatus[$id]['name'],'I');
echo '<tr>
<th class="th_o th_o_first"><label for="name">Name</label></th>
<td class="td_o"><input type="text" id="name" name="name" size="24" maxlength="24" value="',$str,'" style="background-color:#FFFF99"/>',(strstr($str,'&amp;') ?  ' <span class="disabled">'.$arrStatus[$id]['name'].'</span>' : ''),'</td>
</tr>
';
echo '<tr>
<th class="th_o th_o_first"><label for="icon">Icon</label></th>
<td class="td_o"><input type="text" id="icon" name="icon" size="24" maxlength="64" value="',$arrStatus[$id]['icon'],'"/>&nbsp;',AsImg($_SESSION[QT]['skin_dir'].'/'.$arrStatus[$id]['icon'],'-',$arrStatus[$id]['statusdesc'],'ico ico_status'),'&nbsp;&nbsp;<a href="qte_adm_status_ico.php" target="_blank">show icons</a></td>
</tr>
';
echo '<tr>
<th class="th_o th_o_first"><label for="color">',$L['Status_background'],'</label></th>
<td class="td_o"><input type="text" id="color" name="color" size="10" maxlength="24" value="',$arrStatus[$id]['color'],'"/>&nbsp;<span class="small">',$L['H_Status_background'],'</span></td>
</tr>
';
echo '<tr>
<th class="th_o th_o_all" colspan="2">',$L['Translations'],'</th>
<tr class="tr tr_o">
<th class="th_o th_o_first">',$L['Status_name_and_desc'],'</th>
<td class="td_o" colspan="2">
<p class="help">',sprintf($L['E_no_translation'],ucfirst(str_replace('_',' ',$arrStatus[$id]['name']))),'</p>
<table cellspacing="0" class="ta_hidden">';

$arrTrans = cLang::GetTrans('status',$id);
$arrDescTrans = cLang::GetTrans('statusdesc',$id);
include('bin/qte_lang.php'); // this creates $arrLang
foreach ($arrLang as $strIso => $arr)
{
  echo '
  <tr>
  <td class="td_hidden" style="width:25px"><span title="',$arr[1],'">',$arr[0],'</span></td>
  <td class="td_hidden">
  <input class="small" title="',$L['Status'],' (',$strIso,')" type="text" id="T',$strIso,'" name="T',$strIso,'" size="20" maxlength="64" value="',(isset($arrTrans[$strIso]) ? $arrTrans[$strIso] : ''),'"/>
  <input class="small" title="',$L['Description'],' (',$strIso,')" type="text" id="D',$strIso,'" name="D',$strIso,'" size="55" maxlength="255" value="',(isset($arrDescTrans[$strIso]) ? $arrDescTrans[$strIso] : ''),'"/>
  </td>
  </tr>
  ';
}

echo '</table>
</td>
</tr>
';
echo '<tr>
<th class="th_o th_o_all" colspan="2" style="padding:6px; text-align:center">
<input type="hidden" name="oldid" value="',$id,'"/>
<input type="hidden" name="oldname" value="',QTconv($arrStatus[$id]['name'],'1'),'"/>
<input type="submit" name="ok" value="',$L['Save'],'"/></th>
</tr>
</table>
</form>
<p><a href="',$oVIP->exiturl,'">',$oVIP->exitname,'</a></p>
';

// --------
// HTML END
// --------

include('qte_adm_p_footer.php');

?>